<?php

namespace app\abutment\controller;

use app\abutment\logic\Account as AccountLogic;
use app\BaseController;
use think\facade\Config;
use think\facade\Validate;


//供应商账号
class Account extends BaseController
{

    //供应商账号登录
    public function login()
    {

        $param = $this->request->filter('trim')->only(['mobile', 'password'], 'post');

        $val = Validate::rule(Config::get('validate_rules.login'));

        if (!$val->check($param)) return json_show(1004, $val->getError());

        return AccountLogic::login($param);
    }




}